mia::CFastICADeflNonlinearity Class Referenceabstract

This is the base clase for non-linearities used in deflation based ICA. More...

`#include <mia/core/fastica_nonlinearity.hh>`

Inheritance diagram for mia::CFastICADeflNonlinearity:
[legend]
Collaboration diagram for mia::CFastICADeflNonlinearity:
[legend]

## Public Types

typedef CFastICADeflNonlinearity | plugin_type
| helper typedef for plugin handling
Public Types inherited from mia::CFastICANonlinearityBase
typedef CFastICANonlinearityBase | plugin_data
| helper typedef for plugin handling
Public Types inherited from CPropertyFlagHolder
typedef std::set< const char * > | Set
| define the type of the set of flags

## Public Member Functions

void | apply (gsl::Matrix &W)
void | apply (gsl::Vector &w)
std::vector< double > | get_saddle_test_table (const gsl::Matrix &ics) const
double | get_saddle_test_value (const gsl::Vector &ic) const
Public Member Functions inherited from mia::CFastICANonlinearityBase
| CFastICANonlinearityBase ()
void | set_mu (double m)
void | set_signal (const gsl::Matrix *signal)
Public Member Functions inherited from CProductBase
const char * | get_init_string () const
void | set_init_string (const char *init)
void | set_module (PPluginModule module)
Public Member Functions inherited from CPropertyFlagHolder
void | add (const char *property)
Set | get_missing_properties (const CPropertyFlagHolder &testset) const
bool | has (const char *property) const
bool | has_all_in (const CPropertyFlagHolder &testset) const
virtual | ~CPropertyFlagHolder ()

## Static Public Attributes

static const char * | type_descr
Static Public Attributes inherited from mia::CFastICANonlinearityBase
static const char * | data_descr

## Protected Member Functions

virtual void | post_set_signal ()
Protected Member Functions inherited from mia::CFastICANonlinearityBase
double | get_mu () const
double | get_sample_scale () const
const gsl::Matrix & | get_signal () const

## Detailed Description

This is the base clase for non-linearities used in deflation based ICA.

This class defines the interface of the nonlinearity g for deflation based FastICA. In order to implement the a real non-linearity the method get_correction_and_scale must be overwritten.

If the factor \(\mu\) defined in the parent class is \(\ge 1.0\), than the normal implementation will be used, if the value is positive but \(\le 1.0\) then the stabelized variant of the algorithm is used.

Definition at line 76 of file fastica_nonlinearity.hh.

## Member Typedef Documentation

## plugin_type

typedef CFastICADeflNonlinearity mia::CFastICADeflNonlinearity::plugin_type

helper typedef for plugin handling

Definition at line 81 of file fastica_nonlinearity.hh.

## Member Function Documentation

## apply() [1/2]

void mia::CFastICADeflNonlinearity::apply | ( | gsl::Matrix & | W | ) |

## apply() [2/2]

void mia::CFastICADeflNonlinearity::apply | ( | gsl::Vector & | w | ) |

## get_saddle_test_table()

std::vector< double > mia::CFastICADeflNonlinearity::get_saddle_test_table | ( | const gsl::Matrix & | ics | ) | const

## get_saddle_test_value()

double mia::CFastICADeflNonlinearity::get_saddle_test_value | ( | const gsl::Vector & | ic | ) | const

## post_set_signal()

virtual void mia::CFastICADeflNonlinearity::post_set_signal | ( |  | ) |

protected virtual

Implements mia::CFastICANonlinearityBase.

## Field Documentation

## type_descr

const char* mia::CFastICADeflNonlinearity::type_descr

static

Definition at line 83 of file fastica_nonlinearity.hh.

The documentation for this class was generated from the following file:

- fastica_nonlinearity.hh